# Orkut API . activityVisibility

## Instance Methods

Gets the visibility of an existing activity.

Updates the visibility of an existing activity. This method supports patch semantics.

Updates the visibility of an existing activity.

### Method Details

`get(activityId)`

    Gets the visibility of an existing activity.

    Args:
      activityId: string, ID of the activity to get the visibility. (required)

    Returns:
      An object of the form:

        {
          "kind": "orkut#visibility", # Identifies this resource as a visibility item. Value: "orkut#visibility"
          "visibility": "A String", # The visibility of the resource. Possible values are:
              # - default: not hidden by the user
              # - hidden: hidden
          "links": [ # List of resources for the visibility item.
            { # Links to resources related to the parent object.
              "href": "A String", # URL of the link.
              "type": "A String", # Media type of the link.
              "rel": "A String", # Relation between the resource and the parent object.
              "title": "A String", # Title of the link.
            },
          ],
        }

`patch(activityId, body)`

    Updates the visibility of an existing activity. This method supports patch semantics.

    Args:
      activityId: string, ID of the activity. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "orkut#visibility", # Identifies this resource as a visibility item. Value: "orkut#visibility"
        "visibility": "A String", # The visibility of the resource. Possible values are:
            # - default: not hidden by the user
            # - hidden: hidden
        "links": [ # List of resources for the visibility item.
          { # Links to resources related to the parent object.
            "href": "A String", # URL of the link.
            "type": "A String", # Media type of the link.
            "rel": "A String", # Relation between the resource and the parent object.
            "title": "A String", # Title of the link.
          },
        ],
      }

    Returns:
      An object of the form:

        {
          "kind": "orkut#visibility", # Identifies this resource as a visibility item. Value: "orkut#visibility"
          "visibility": "A String", # The visibility of the resource. Possible values are:
              # - default: not hidden by the user
              # - hidden: hidden
          "links": [ # List of resources for the visibility item.
            { # Links to resources related to the parent object.
              "href": "A String", # URL of the link.
              "type": "A String", # Media type of the link.
              "rel": "A String", # Relation between the resource and the parent object.
              "title": "A String", # Title of the link.
            },
          ],
        }

`update(activityId, body)`

    Updates the visibility of an existing activity.

    Args:
      activityId: string, ID of the activity. (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "orkut#visibility", # Identifies this resource as a visibility item. Value: "orkut#visibility"
        "visibility": "A String", # The visibility of the resource. Possible values are:
            # - default: not hidden by the user
            # - hidden: hidden
        "links": [ # List of resources for the visibility item.
          { # Links to resources related to the parent object.
            "href": "A String", # URL of the link.
            "type": "A String", # Media type of the link.
            "rel": "A String", # Relation between the resource and the parent object.
            "title": "A String", # Title of the link.
          },
        ],
      }

    Returns:
      An object of the form:

        {
          "kind": "orkut#visibility", # Identifies this resource as a visibility item. Value: "orkut#visibility"
          "visibility": "A String", # The visibility of the resource. Possible values are:
              # - default: not hidden by the user
              # - hidden: hidden
          "links": [ # List of resources for the visibility item.
            { # Links to resources related to the parent object.
              "href": "A String", # URL of the link.
              "type": "A String", # Media type of the link.
              "rel": "A String", # Relation between the resource and the parent object.
              "title": "A String", # Title of the link.
            },
          ],
        }